class CreateIssues < ActiveRecord::Migration[8.0]
  def change
    create_table :issues do |t|
      t.datetime :created_date
      t.datetime :last_modified_date
      t.integer :version
      t.string :issueNumber
      t.string :title
      t.datetime :published_on
      t.boolean :in_stock
      t.boolean :is_read
      t.belongs_to :comic
      t.belongs_to :volume
      t.belongs_to :story_arc
    end
    change_column :issues, :id, :string
  end
end
